Core - Task # 54232

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API

Story # 54261 (Resolved): As an Extension-Developer | want to use FAL assets in my custom development

Status: Resolved Priority: Must have

Author: Steffen Ritter Category: File Abstraction Layer (FAL)
Updated: 2014-02-24 Due date:

TYPOS3 Version: 6.2
Subject: Fix Usage of FAL in elD Scripts

Description

Associated revisions

Revision eefa6525 - 2014-02-24 06:55 - Steffen Ritter

[BUGFIX] Using files in elD results in fatal error

In TYPO3_MODE == 'FE' we attached language overlays for file metadata
via an Signal in the MetaDataRepository. Within this signal the
methods of the PageRepository in $§GLOBALS['TSFE'] are used to do the

actual language overlay.

When using elD the Frontend is not initialized. When creating file
objects in elD these functions are accessed on non-objects which
obviously leads to a fatal error.

As a result the registration of the Slot is extended to not register

itself in case of elD requests.

Resolves: #54232

Releases: 6.2

Change-Id: 14ccf226f48eb85428ce281c4a941ff7e834c2f88
Reviewed-on: https:/review.typo3.org/27692

Reviewed-by: Wouter Wolters
Reviewed-by: Frans Saris
Tested-by: Frans Saris
Reviewed-by: Georg Ringer
Tested-by: Georg Ringer

History

#1 - 2013-12-07 15:03 - Steffen Ritter
- Parent task set to #54261

#2 - 2014-02-18 14:49 - Gerrit Code Review

- Status changed from Accepted to Under Review
https://review.typo3.org/27692

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27692

#3 - 2014-02-18 14:50 - Steffen Ritter
- Status changed from Under Review to Accepted
- % Done changed from 0 to 70

#4 - 2014-02-20 08:05 - Steffen Ritter
- Status changed from Accepted to Under Review

#5 - 2014-02-24 07:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 70 to 100

Applied in changeset commit:eefa6525fc648e82298bfb380eb86b2ed3e06796.
